entity_bits.hpp File Reference
`#include <osmium/osm/item_type.hpp>`
Include dependency graph for entity_bits.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::osm_entity_bits
| Bitfield for OSM entity types.

## Enumerations

enum

osmium::osm_entity_bits::type : unsigned char {
osmium::osm_entity_bits::nothing = 0x00, osmium::osm_entity_bits::node = 0x01, osmium::osm_entity_bits::way = 0x02, osmium::osm_entity_bits::relation = 0x04,
osmium::osm_entity_bits::nwr = 0x07, osmium::osm_entity_bits::area = 0x08, osmium::osm_entity_bits::nwra = 0x0f, osmium::osm_entity_bits::object = 0x0f,
osmium::osm_entity_bits::changeset = 0x10, osmium::osm_entity_bits::all = 0x1f
}

## Functions

type | osmium::osm_entity_bits::operator| (const type lhs, const type rhs) noexcept
type & | osmium::osm_entity_bits::operator|= (type &lhs, const type rhs) noexcept
type | osmium::osm_entity_bits::operator& (const type lhs, const type rhs) noexcept
type | osmium::osm_entity_bits::operator~ (const type value) noexcept
type | osmium::osm_entity_bits::operator&= (type &lhs, const type rhs) noexcept
type | osmium::osm_entity_bits::from_item_type (osmium::item_type item_type) noexcept